This commit is contained in:
.[d]. 2022-10-04 12:42:48 -05:00
parent 60df1a9838
commit 810c0bbf88

14
maple

@ -55,7 +55,7 @@ echo -e '\033[0;34m'" ...... ......... ..............
#####################################################################################################################
i=`cat maple|grep -n MARKER|cut -f1 -d":"`;i=$(echo $i|xargs|cut -f2 -d" ");ii=`wc -l maple|cut -f1 -d" "`;
iii=$((ii-i));tail -n $iii $0>mpl;MD5=$(md5sum mpl|cut -f1 -d ' ');rm mpl;DM5="dfd3bec5da2fd653b9317425551fd3c4";
iii=$((ii-i));tail -n $iii $0>mpl;MD5=$(md5sum mpl|cut -f1 -d ' ');rm mpl;DM5="49fefc58572f2bdc5ff286a0fbbd464c";
[ "$MD5" = "$DM5" ] || exit;
# MARKER ############################################################################################################
@ -306,7 +306,7 @@ kmodesetup() {
if [ $? -eq 1 ]; then echo "python3 virtualenv module still not installed, manually instlal python3 virtualenv module before proceeding"; FAILED=1; fi
if [ $FAILED -eq 1 ]; then echo "pre-requisites not met, aborting installation"; exit 1; fi
which python3.9 > /dev/null 2>&1
if [ $? -eq 0 ]; then virtualenv -p python3.9 env; else virtualenv python3 env; fi
if [ $? -eq 0 ]; then virtualenv -p python3.9 env; else virtualenv -p python3 env; fi
source env/bin/activate
pip install --upgrade pip
[ "$MODE" = "0" ] && ( cp storage/bot/variants/dupe/bot_maple__services.py ./bot_maple.py; pip install -r storage/bot/requirements/requirements_services.txt )
@ -911,16 +911,6 @@ cmd_setup_bot () {
cat plugins/tool_dims_plugin.py|sed s/"???DISCORD???"/"SERVICES_DISCORD=True"/g > plugins/tool_dims_plugin.tmp;mv plugins/tool_dims_plugin.tmp plugins/tool_dims_plugin.py
fi
echo -e "\n\n\n---DR1PP1NG & D3BUGG1NG"
echo -e "\tDISCORD__SERVICING: $DISCORD__SERVICING"
echo -e "\tTELEGRAM_SERVICING: $TELEGRAM_SERVICING"
echo -e "\tMATRIX___SERVICING: $MATRIX___SERVICING"
echo -e "\tOPENAI___SERVICING: $OPENAI___SERVICING"
echo -e "\tYOUTUBE__SERVICING: $YOUTUBE__SERVICING"
echo -e "\tTWITTER__SERVICING: $TWITTER__SERVICING"
echo -e "---DR1PP1NG & D3BUGG1NG\n\n\n"
echo "press any key to continue"; read
if [ "$TELEGRAM__SERVICING" -eq "0" ]; then
cat plugins/tool_bus_plugin.py|sed s/"???TELEGRAM???"/"SERVICES_TELEGRAM=False"/g > plugins/tool_bus_plugin.tmp;mv plugins/tool_bus_plugin.tmp plugins/tool_bus_plugin.py
cat plugins/cmd_irc_plugin.py|sed s/"???TELEGRAM???"/"SERVICES_TELEGRAM=False"/g > plugins/cmd_irc_plugin.tmp;mv plugins/cmd_irc_plugin.tmp plugins/cmd_irc_plugin.py